.search-box{
    display: flex;
}
.search-box input{
    font-size: 16px;
    border-radius: 8px;
}
.search-box button{
    font-size: 24px;
}
.hero-slider-img{
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 0;
    object-fit: cover;
}
.main__logo--img{
    max-width: 200px !important;
}
.offcanvas__logo_link{
    max-width: 150px !important;
}
.footer__logo{
    max-width: 230px !important;
}
.offcanvas__menu{
    padding-bottom: 10rem;
}

.footer__bg{
    background-color: #fff;
    background: #e1e2e3 !important;
}
.contact__map--area{
    padding-bottom: 0 !important;
}
.instagram__section--inner{
    user-select: none;
}
.banner__items--content__title{
    color: #fff !important;
}
.newsletter__content {
    color: #000;
}
.bread_bg{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100% ;
    object-fit: cover;
}
.brandLogoSwiper,.brand__logo--section__inner{
    height: 100px !important;
    overflow: hidden !important;
}
.brand__logo--items {
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.brand__logo--items img {
    height: 130px;
    max-height: 150px !important;
    width: auto !important;
    object-fit: contain !important;
}
.breadcrumb__content--title{
    text-shadow: 4px 4px 6px rgba(66, 68, 90, 1);
}
.blog__thumbnail--img{
    object-fit: cover;
}
.mt-3{
    margin-top: 3rem !important;
}
.mt-6{
    margin-top: 6rem !important;
}
.hero__slider--inner{
    height: 75dvh ;
}
    .widget__tagcloud--link.active {
    background-color: var(--secondary-color) !important;
    color: #fff;
    border-radius: 5px;
}
.widget__tagcloud--link{
    cursor: pointer;
    color: #333;
}
.widget__tagcloud--link.active {
    background: #000;
    color: #fff !important; 
    border-color: #000;
    font-weight: 600;
}

.filter-title{
    color: #000;
    font-weight: 500;
    margin-bottom: 6px;
}
.product__media--preview{
border: 1px solid rgba(0,0,0,0.25);
border-radius: 12px;
padding: 6px;
}
.product__media--preview .swiper-wrapper{
    align-items: center;
}
.whatsapp-float {
  position: fixed;
  right: 20px;
  bottom: 20px;
  width: 56px;
  height: 56px;
  background-color: #25d366;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 8px 20px rgba(0,0,0,0.25);
  z-index: 9999;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.whatsapp-float:hover {
  transform: scale(1.05);
  box-shadow: 0 12px 28px rgba(0,0,0,0.3);
}

.whatsapp-float svg {
  width: 28px;
  height: 28px;
  fill: #fff;
}

.filter-bar {
    display: flex;
    gap: 8px;
    padding: 10px;
    background: #f5f5f5;
    border-radius: 8px;
    margin-bottom: 15px;
    flex-wrap: wrap;
}

.filter-chip {
    background: #e8e8e8;
    padding: 6px 12px;
    border-radius: 12px;
    font-size: 14px;
    cursor: pointer;
    transition: .2s;
}

.filter-chip:hover {
    background: #d0d0d0;
    text-decoration: line-through;
}

.pagination{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 3rem;
}
.pagination ul {
    display: flex;
    gap: 5px;
    padding: 0;
    list-style: none;
}
.pagination a {
    padding: 8px 12px;
    border: 1px solid #cfcfcf;
    display: block;
    border-radius: 4px;
    text-decoration: none;
    color: #333;
}
.pagination .active a {
    background: var(--secondary-color);
    color: #fff;
}
.homepage-about{
    text-align: center !important;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 1rem;
}
.k-container{
    margin-top: 3rem;
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
}
.main-logo-slider{
    height: 130px;
    width: 1400px !important;
    max-width: 100%;
    margin-inline: auto;
}
.main-logo-slider .logo-track{
height: 100%;
}
.main-logo-slider .logo-track .logo-item img{
    height: 100%;
    max-height: 100%;
}
.hero__slider--items{
    height: 100%;
}
.contact__info--items__inner{
    align-items: center;
}
.product__items--img{
    height: 250px !important;
    object-fit: cover;
}
.instagram__thumbnail--img{
    aspect-ratio: 1/1 !important;
    height: 250px !important;
    width: 250px !important;
    object-fit: cover;
}
.instagram__section--inner .swiper-wrapper{
    height: 250px !important;
}
.instagram__section--inner .swiper-slide{
    width: 250px !important;
}
.hero__slider--wrapper .swiper-slide{
    height: 100%;
}
.katalog-pdf{
    width: calc(100% - 4rem);
    margin-inline:2rem;
    height: 90dvh;
}
.widget__categories--menu__img,
.widget__categories--sub__menu--img{
    opacity: 0;
}
@media (min-width: 570px) {
.h350{
    height: 350px;
    object-fit: cover;
}
.hg{
    height: 700px;
    object-fit: cover;
}
.h300{
    height: 335px;
    object-fit: cover;
}
}
.header-left{
    flex-grow: 1;
    justify-content: flex-end;
    display: flex ;
    margin-right: 6rem;
}
.header-right{
    flex-grow: 1;
    justify-content: flex-start;
    display: flex ;
    margin-left: 6rem;
}
@media (max-width: 991px) {
.gk-categorys-container{
grid-template-columns: 1fr !important;
}
.m-none{
    display: none !important;
}
.main__header--inner{
    justify-content: space-between;
}
    
}
.logo-slider {
    width: 100%;
    overflow: hidden;
        /* SAĞ – SOL FADE */
    -webkit-mask-image: linear-gradient(
        to right,
        transparent 0%,
        #fff 10%,
        #fff 90%,
        transparent 100%
    );
    mask-image: linear-gradient(
        to right,
        transparent 0%,
        #fff 10%,
        #fff 90%,
        transparent 100%
    );
    margin-bottom: 12rem !important;
}
.container-1400{
    max-width: 1400px;
}
.gk-categorys-container{
    margin-top: 3rem !important;
    display: grid;
    gap: 12px;
    grid-template-columns: 1fr 1fr;
}
.gk-categorys-container .category{
    display: flex;
    align-items: center;
}
.gk-categorys-container .category .img{
    height: 100px;
    width: 100px;
    margin-right: 12px;
}
.gk-categorys-container .category .details .category-name{
    font-size: 2rem !important;
font-weight: 600;
}
.brandLogoSwiper{
        -webkit-mask-image: linear-gradient(
        to right,
        transparent 0%,
        #fff 10%,
        #fff 90%,
        transparent 100%
    );
    mask-image: linear-gradient(
        to right,
        transparent 0%,
        #fff 10%,
        #fff 90%,
        transparent 100%
    );
}

.logo-track {
    display: flex;
    width: max-content;
    animation: scroll 40s linear infinite;
    user-select: none;
    cursor: pointer;
}
.logo-track:hover {
animation-play-state: paused;
}

.logo-item {
    flex: 0 0 auto;
    padding: 0 40px;
    display: flex;
    align-items: center;
}
.logo-item img:hover {
    transform: scale(1.1);
}
.logo-item img {
    transition: 0.2s all ease-in-out;
    max-height: 70px;
    width: auto;
    object-fit: contain;
}

/* Infinite scroll animasyonu */
@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}

